from rest_framework import routers
from django.urls import include, path
from . import views

app_name = "fattura_elettronica_app"

urlpatterns = [
    # path('', views.index, name='index'),
]
router = routers.DefaultRouter()

# --------------- FINE PREFISSO TEMPLATE ---------------

router.register(r'modalitalavoro', views.ModalitaLavoro_View)
router.register(r'AtomoFatturabile', views.DettaglioFatturabile_View)
router.register(r'fatturaelettronica', views.FatturaElettronica_View)
router.register(r'regimefiscale', views.RegimeFiscale_View)
router.register(r'tipocassa', views.TipoCassa_View)
router.register(r'modalitapagamento', views.ModalitaPagamento_View)
router.register(r'tipodocumento', views.TipoDocumento_View)
router.register(r'natura', views.Natura_View)
router.register(r'tiporitenuta', views.TipoRitenuta_View)
router.register(r'xmlfatturaelettronica', views.XmlFatturaElettronica_View)
router.register(r'soggettifatturaelettronica',
                views.SoggettiFatturaElettronica_View)
router.register(r'soggettofiscale', views.SoggettoFiscale_View)
router.register(r'partitaivacf', views.PartitaIvaCF_View)
router.register(r'formatotrasmissione', views.FormatoTrasmissione_View)
router.register(r'codicedestinatario', views.CodiceDestinatario_View)
router.register(r'datodicontatto', views.DatoDiContatto_View)
router.register(r'telefono', views.Telefono_View)
router.register(r'email', views.Email_View)
router.register(r'iscrizionealboprofessionale',
                views.IscrizioneAlboProfessionale_View)
router.register(r'iscrizionerea', views.IscrizioneREA_View)
router.register(r'sociounico', views.SocioUnico_View)
router.register(r'statoliquidazione', views.StatoLiquidazione_View)
router.register(r'terzointermediarioosoggettoemittente',
                views.TerzoIntermediarioOSoggettoEmittente_View)
router.register(r'soggettoemittente', views.SoggettoEmittente_View)
router.register(r'personafisica', views.PersonaFisica_View)
router.register(r'personagiuridica', views.PersonaGiuridica_View)
router.register(r'alboprofessionale', views.AlboProfessionale_View)
router.register(r'allegato', views.Allegato_View)
router.register(r'datopagamento', views.DatoPagamento_View)
router.register(r'dativeicoli', views.DatiVeicoli_View)
router.register(r'datidocumentali', views.DatiDocumentali_View)
router.register(r'datifatturecollegate', views.DatiFattureCollegate_View)
router.register(r'datisal', views.DatiSAL_View)
router.register(r'datiddt', views.DatiDDT_View)
router.register(r'datitrasporto', views.DatiTrasporto_View)
router.register(r'valuta', views.Valuta_View)
router.register(r'datiritenuta', views.DatiRitenuta_View)
router.register(r'causalepagamento', views.CausalePagamento_View)
router.register(r'datibollo', views.DatiBollo_View)
router.register(r'daticassaprevidenziale', views.DatiCassaPrevidenziale_View)
router.register(r'scontomaggiorazione', views.ScontoMaggiorazione_View)
router.register(r'tiposcontomaggiorazione', views.TipoScontoMaggiorazione_View)
router.register(r'aliquotaiva', views.AliquotaIva_View)
router.register(r'contobancario', views.ContoBancario_View)
router.register(r'istitutofinanziario', views.IstitutoFinanziario_View)
router.register(r'dettagliobancario', views.DettaglioBancario_View)
router.register(r'condizionepagamento', views.CondizionePagamento_View)
router.register(r'dettagliolinee', views.DettaglioLinee_View)
router.register(r'altrodatogestionale', views.altroDatoGestionale_View)
router.register(r'tipocessioneprestazione', views.TipoCessionePrestazione_View)
router.register(r'codicearticolo', views.CodiceArticolo_View)
router.register(r'tipocodicearticolo', views.TipoCodiceArticolo_View)
router.register(r'articololinea', views.ArticoloLinea_View)
router.register(r'unitamisura', views.UnitaMisura_View)
router.register(r'tiporesa', views.TipoResa_View)
router.register(r'riferimentoddtnumerolinea',
                views.RiferimentoDDTNumeroLinea_View)
router.register(r'riferimentoordineacquistonumerolinea',
                views.RiferimentoOrdineAcquistoNumeroLinea_View)
router.register(r'codicidocumentali', views.CodiciDocumentali_View)
router.register(r'tipologiadocumentale', views.TipologiaDocumentale_View)
router.register(r'OggettoDaFatturare',
                views.DatiEstesiDettaglioFatturabile_View)
router.register(r'sede', views.Sede_View)
router.register(r'fax', views.Fax_View)
router.register(r'pec', views.Pec_View)
router.register(r'indirizzo', views.Indirizzo_View)
router.register(r'provincia', views.Provincia_View)

urlpatterns += router.urls
